Skip to main content
GET
/
ca
/
api
/
cash-basis-operating-statement
Get Cash Basis Operating Statement
curl --request GET \
  --url https://api.meetcampfire.com/ca/api/cash-basis-operating-statement \
  --header 'Authorization: <api-key>'

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Query Parameters

all_time
boolean
default:false

If true, uses full transaction date range for the customer; start_date and end_date are ignored

cadence
enum<string>
default:monthly
Available options:
daily,
monthly,
quarterly,
weekly,
yearly
end_date
string<date>

Latest date (inclusive) for which to retrieve data. Defaults to end of current month

entity
integer

Entity ID(s) to scope the report. Can be repeated (?entity=1&entity=2) or JSON array

entity_rollup
boolean
default:false

If true, includes all data of children entities in consolidation

export
enum<string>

If xlsx, returns Excel file (income_statement.xlsx) instead of JSON

Available options:
xlsx
group
integer

Tag group ID. Required when group_by=tag

group_by
string

Breakdown dimension: vendor, department, tag, currency, entity. For tag, also pass group (tag group ID). For cash-basis, department_row_children, department_row_parents, department_only normalize to department

rollup_totals
boolean
default:true

If true, roll up child account totals to parent accounts. Set to false for export

start_date
string<date>

Earliest date (inclusive) for which to retrieve data. Defaults to six months ago

Response

200

No response body